Bug 815137 - Man pages are in the -devel package
Summary: Man pages are in the -devel package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1247039
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-22 19:51 UTC by Marcos Mello
Modified: 2017-08-08 11:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:40:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcos Mello 2012-04-22 19:51:37 UTC
rpm -ql selinux-policy-devel | grep '/usr/share/man'

and all *_selinux man pages are there.

http://docs.fedoraproject.org/en-US/Fedora/13/html/SELinux_FAQ/

[...]
selinux-policy-<version>.noarch.rpm
    This package is common to all types of policy and contains config files/man pages. [...]

Comment 1 Daniel Walsh 2012-04-23 14:20:16 UTC
How does one go about changing Fedora documentation?  I would love to get the "13" out of these docs and they could use a good update for SELinux.  No version numbers though.

Comment 2 Fedora End Of Life 2013-07-03 23:40:21 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 02:35:17 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Ian Pilcher 2015-01-14 18:08:58 UTC
Reopening.  Still an issue in F21.

Comment 5 Ian Pilcher 2015-02-26 23:05:51 UTC
Just realized that the component for this bug was set to fedora-docs.  AFAICT, this is an selinux-policy RPM packaging issue, so changing component accordingly.

Comment 6 Daniel Walsh 2015-07-23 20:30:27 UTC
I agree these should not be -devel.  I think the problem will be the size of these on the default system.  It is quite a large number of man pages.

Comment 7 Lukas Vrabec 2015-07-24 08:57:43 UTC
I have patch for this, I add it to rawhide, and we will see.

Comment 9 Lukas Vrabec 2015-08-23 16:55:30 UTC
I moved man pages from selinux-policy-devel to selinux-policy-doc. 

Commit from distgit:
commit 4f9cd217953d71e55c715b50c7ea5de573084161
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jul 23 13:57:40 2015 +0200

    Move man pages from selinux-policy-devel to selinux-policy-doc


For now, we don't generate doc during build due to broken sepolicy generate in F23/Rawhide.

Comment 10 Jan Kurik 2016-02-24 13:11:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 11 Fedora End Of Life 2017-07-25 18:30:07 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-08-08 11:40:54 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.